<!DOCTYPE html>
<html>
<head>
    <title>Upload Files</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 0;
        }
        .container {
            max-width: 800px;
            margin: 20px auto;
            background-color: #fff;
            border-radius: 5px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
            padding: 20px;
        }
        h1 {
            color: #333;
            text-align: center;
            margin-top: 0;
        }
        form {
            margin-bottom: 20px;
        }
        input[type="file"] {
            border: 1px solid #ccc;
            border-radius: 3px;
            padding: 8px;
            margin-top: 5px;
        }
        input[type="submit"], button {
            background-color: #4CAF50;
            color: white;
            padding: 10px 20px;
            border: none;
            border-radius: 3px;
            cursor: pointer;
        }
        input[type="submit"]:hover, button:hover {
            background-color: #45a049;
        }
        #output {
            border: 1px solid #ccc;
            padding: 10px;
            margin-top: 20px;
            white-space: pre-line;
            overflow-x: auto;
            background-color: #f9f9f9;
            border-radius: 3px;
        }
    </style>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body>
    <div class="container">
        <h1>TSN Control Plane</h1>
        <form id="upload_network_form" action="/upload_network_data" method="post" enctype="multipart/form-data">
            <label for="network_file">Upload Network Data File:</label><br>
            <input type="file" name="network_file" id="network_file"><br>
            <input type="submit" value="Upload Network Data">
        </form>
        <form id="upload_flow_form" action="/upload_flow_data" method="post" enctype="multipart/form-data">
            <label for="flow_file">Upload Flow Data File:</label><br>
            <input type="file" name="flow_file" id="flow_file"><br>
            <input type="submit" value="Upload Flow Data">
        </form>

        <button id="execute_script">Configure Devices</button>

        <div id="output"></div>
    </div>

    <script>
        $(document).ready(function() {
            // Execute gcl_controller script on button click
            $('#execute_script').click(function() {
                $.ajax({
                    url: '/execute_gcl_controller',
                    type: 'GET',
                    success: function(response) {
                        // Display output of the script
                        $('#output').text(response);
                    },
                    error: function(xhr, status, error) {
                        console.error(error);
                    }
                });
            });
        });
    </script>
</body>
</html>
